# Generated from gdax-0.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name gdax

Name: rubygem-%{gem_name}
Version: 0.0.0
Release: 1%{?dist}
Summary: Ruby client for the GDAX Exchange API
License: MIT
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0
# BuildRequires: rubygem(coveralls)
# BuildRequires: rubygem(rspec) >= 3.4
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) = 0.51.0
# BuildRequires: rubygem(term-ansicolor) >= 1.3
# BuildRequires: rubygem(term-ansicolor) < 2
# BuildRequires: rubygem(tins) = 1.6.0
# BuildRequires: rubygem(yard)
BuildArch: noarch

%description
Full featured Ruby client to GDAX Exchange API by Coinbase.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.coveralls.yml
%{gem_instdir}/.editorconfig
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.rubocop_todo.yml
%{gem_instdir}/.ruby-gemset
%exclude %{gem_instdir}/.travis.yml
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/LICENSE
%{gem_instdir}/UPGRADING.md
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/gdax.gemspec
%{gem_instdir}/spec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.0.0-1
- Initial package
